import httpRequest from '@/utils/axios'

// 大屏列表
export function getLargeScreenList(params?: Partial<{ page: number; 'per-page': number; type: string }>) {
  return httpRequest.get('/api/resource/bi/v1/reporting/large-screen/list', { params })
}

// 更新大屏
export function createLargeScreen(data: { name: string; type: string; content: string }) {
  return httpRequest.post('/api/resource/bi/v1/reporting/large-screen/create', data)
}

// 更新大屏
export function updateLargeScreen(data: { id: string; name: string; type: string; content: string }) {
  return httpRequest.post('/api/resource/bi/v1/reporting/large-screen/update', data)
}

// 删除大屏
export function deleteLargeScreen(data: { id: string }) {
  return httpRequest.post('/api/resource/bi/v1/reporting/large-screen/delete', data)
}

// 大屏详情
export function getLargeScreen(params: { id: string }) {
  return httpRequest.get('/api/resource/bi/v1/reporting/large-screen/view', { params })
}
